
module "notify-slack" {
  source = "terraform-aws-modules/notify-slack/aws"
  version = "6.4.0"
  architectures = var.architectures
  cloudwatch_log_group_kms_key_id = var.cloudwatch_log_group_kms_key_id
  cloudwatch_log_group_retention_in_days = var.cloudwatch_log_group_retention_in_days
  cloudwatch_log_group_tags = var.cloudwatch_log_group_tags
  create = var.create
  create_sns_topic = var.create_sns_topic
  enable_sns_topic_delivery_status_logs = var.enable_sns_topic_delivery_status_logs
  hash_extra = var.hash_extra
  iam_policy_path = var.iam_policy_path
  iam_role_boundary_policy_arn = var.iam_role_boundary_policy_arn
  iam_role_name_prefix = var.iam_role_name_prefix
  iam_role_path = var.iam_role_path
  iam_role_tags = var.iam_role_tags
  kms_key_arn = var.kms_key_arn
  lambda_attach_dead_letter_policy = var.lambda_attach_dead_letter_policy
  lambda_dead_letter_target_arn = var.lambda_dead_letter_target_arn
  lambda_description = var.lambda_description
  lambda_function_ephemeral_storage_size = var.lambda_function_ephemeral_storage_size
  lambda_function_name = var.lambda_function_name
  lambda_function_s3_bucket = var.lambda_function_s3_bucket
  lambda_function_store_on_s3 = var.lambda_function_store_on_s3
  lambda_function_tags = var.lambda_function_tags
  lambda_function_vpc_security_group_ids = var.lambda_function_vpc_security_group_ids
  lambda_function_vpc_subnet_ids = var.lambda_function_vpc_subnet_ids
  lambda_role = var.lambda_role
  lambda_source_path = var.lambda_source_path
  log_events = var.log_events
  putin_khuylo = var.putin_khuylo
  recreate_missing_package = var.recreate_missing_package
  reserved_concurrent_executions = var.reserved_concurrent_executions
  slack_channel = var.slack_channel
  slack_emoji = var.slack_emoji
  slack_username = var.slack_username
  slack_webhook_url = var.slack_webhook_url
  sns_topic_feedback_role_description = var.sns_topic_feedback_role_description
  sns_topic_feedback_role_force_detach_policies = var.sns_topic_feedback_role_force_detach_policies
  sns_topic_feedback_role_name = var.sns_topic_feedback_role_name
  sns_topic_feedback_role_path = var.sns_topic_feedback_role_path
  sns_topic_feedback_role_permissions_boundary = var.sns_topic_feedback_role_permissions_boundary
  sns_topic_feedback_role_tags = var.sns_topic_feedback_role_tags
  sns_topic_kms_key_id = var.sns_topic_kms_key_id
  sns_topic_lambda_feedback_role_arn = var.sns_topic_lambda_feedback_role_arn
  sns_topic_lambda_feedback_sample_rate = var.sns_topic_lambda_feedback_sample_rate
  sns_topic_name = var.sns_topic_name
  sns_topic_tags = var.sns_topic_tags
  subscription_filter_policy = var.subscription_filter_policy
  subscription_filter_policy_scope = var.subscription_filter_policy_scope
  tags = var.tags
}
